#include<iostream>
using namespace std;
int main()
{
	int a,b;
	cin>>a>>b;
	int z,d,x,y,pca,pcb,dca,dcb;
	x=a;
	y=b;
	while(x>0){
	pca=x%10;
	x=x/10;	
	}
	while(y>0){
		pcb=y%10;
		y=y/10;
	}
    if(a>=10 and a<100){
    	dca=a-pca*10;
	}
	if(b>=10 and b<100){
		dcb=b-pcb*10;
	}
if(a<10 and b<10){
	if(pca>pcb)cout<<pca;
	else if(pcb>pca)cout<<pcb;
	else cout<<pca<<pcb;
}
else if(a<10 and b>=10){
	cout<<pcb;
	if(pca>dcb)cout<<pca;
    else if(pca<dcb)cout<<dcb;
	else if(pca==dcb)cout<<pca<<dcb;
	
}
else if(a>=10 and b<10)
{
	cout<<pca;
	if(pcb>dca)cout<<pcb;
	else if(pcb<dca)cout<<dca;
	else if(pcb==dca)cout<<pcb<<dca;
}
else if(a>=10 and b>=10)
{
	if(pca>pcb)cout<<pca;
	else if(pcb>pca)cout<<pcb;
	else if(pca==pcb)cout<<pca<<pcb;
	if(dca>dcb)cout<<dca;
	else if(dca<dcb)cout<<dcb;
	else if(dca==dcb)cout<<dca<<dcb;
}

	return 0;
}